
/* 
    .col- (extra small devices - screen width less than 576px)
             iphone XR 414

    .col-sm- (small devices - screen width equal to or greater than 576px)
              landscape mobile

    .col-md- (medium devices - screen width equal to or greater than 768px)
              kindle 800 ipad 810

    .col-lg- (large devices - screen width equal to or greater than 992px)
              ipad Pro 1024

    .col-xl- (xlarge devices - screen width equal to or greater than 1200px)
              laptop 1280  

    .col-xxl- (xxlarge devices - screen width equal to or greater than 1400px)
              large laptop 1440
 */


/****** NAV BAR ********/

/**** WORKS ITEM *****/
  #brand {
  color: rgb(166, 166, 166) !important;
}

a.navbar-brand {
  color: #343a40 !important; /* bs-gray-800 */
}

.dropdown-menu {
  left: auto !important;  
}

button.nav-link {
  font-family: 'montserrat_alternatesregular';
}

a.nav-link.dropdown-item {
  position: relative !important;
  right: 0;
  left: 0;
}

a.nav-link.dropdown-item:focus, a.nav-link.dropdown-item:hover {
  position: relative !important;
  right: 0;
  color: #000 !important;
  background-color: #eee !important;
} 

.dropdown-item.active {
  background-color: #eeeeee7f !important;
}

.btn-link {
  --bs-btn-color: #000 !important;
  --bs-btn-hover-color: #000 !important;
  --bs-btn-active-color: #000 !important;
  text-decoration: none !important;
}

/***** FONT STYLE ******/

@font-face {
    font-family: 'montserrat_alternatesregular';
    src: url('https://ksusick.github.io/font/montserratalternates-regular-webfont.woff2') format('woff2'),
         url('https://ksusick.github.io/font/montserratalternates-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
  margin: 0;
  background-color: white !important;
}

a {
  font-family: 'montserrat_alternatesregular';  /***** NAV ITEM *****/
}

h1 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
}

h2 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
  text-align: center;
}

h3 {
  font-family: 'montserrat_alternatesregular';
}

h4 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
  text-align: center;
}

h5 {
  font-family: 'montserrat_alternatesregular';
}

footer p {
  font-family: 'montserrat_alternatesregular';
  font-size: 0.8rem;
  text-align: center;
  padding: 0;
}

p {
/*   font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"; */
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
  padding-left : 1rem;
  /*text-align: justify;*/
  line-height: 1.5;
}

/**********SLIDER GALLERY **********/

img {
  vertical-align: middle;
}

/* Position the image container (needed to position the left and right arrows) */
.container {
  position: relative;
  max-width: none !important;
}

/* Hide the images by default/Fading animation*/
.mySlides {
  display: none;
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
} 


/* Next & previous buttons for larger screens: md, lg, xl */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  margin-top: -50px;
  color: #8a8a8a;
  font-weight: bold;
  text-decoration: none;
  font-size: 25px;
  border-radius: 50px 50px;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right: md display */
.next {
  right: 3rem;
}

/* Buttons: On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: #c8c4c4;
  opacity: 0.7; 
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Container for image text */
.caption-container {  
/*   padding: 2px 16px; */
  color: black !important;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Add a transparency effect for thumnbail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}

/**********SLIDER GALLERY CUSTOM STYLE **********/

/* Paragraph style no padding for large caption*/
#LargeSlideCaption {
  padding-left : 0;
}

.myImages {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.myImages:hover {
  opacity: 0.7 !important;
}

/**** WORKS ITEM *****/
/* Next & previous buttons for Slider, XS/SM display */
#mobileL.prev,
#mobileR.next {
  position: absolute;
  top: 150px;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: rgb(192, 192, 192);
  background-color: rgba(0, 0, 0, 0.3);
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/**** WORKS ITEM *****/
/* Position the "next button" for XS/SM display */
#mobileR.next {
  right: 0.75rem;
  border-radius: 3px 0 0 3px;
  }

/********** MODAL **********/

/* Add a pointer when hovering over images */
.cursor {
  cursor: pointer;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(219,219,219,0.9);
}

/* Modal Content (pop-up image) */
.modal-content {
  margin: auto;
  display: block;
  max-width: 70%; /* <----  size of modal image @ XL view */
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #000;
  padding: 10px 0;
  height: 150px;
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
}

/* Add Animation */
.modal-content, #caption {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-transform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: fixed;  
  top: 25px;  
  right: 75px;  
  color: #646363;    
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/**** WORKS ITEM *****/
/* Click button to open modal */

#myBtn {
  border: none;
  color: #8a8a8a;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 11px;
  margin: 4px 2px;
  cursor: pointer;
  background-color: transparent;
}

#myBtn:hover {
  color: #666;
}

/**** WORKS ITEM *****/
/* Change button text based on lg (tablet) vs xl (desktop) display */

.lg-view{
   display:inline-block;
   }

.xl-view{
   display:none;
}

span:hover {
   color: #666;
   text-decoration: underline !important;
   }


/***** ABOUT ITEMS ****/
 ul.about li{
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif; 
  list-style-type: circle; 
  padding-top: 0.8rem;
}

 #edu li{
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
  list-style-type: none;   
}

/* Image wrapped on medium screens */
#wrap {
  width: 20rem;
  padding: 0.5rem 1.2rem 0.2rem 1.5rem;
}

/* Jump to Top */
a[href^="#top"] {
  font-family: 'montserrat_alternatesregular';
  color: #00000096;
/*   text-decoration: none; */
}

/**** CONTACT ITEM *****/
.form-control {
border-radius: var(--bs-border-radius)!important;  /* Contact Form */
}

/**** CONTACT ITEM *****/
#contact {
  padding-left : 0.7rem;
  padding-right : 0.7rem;
  text-align: justify;
}

/***** MEDIA QUERIES ******/

/****** Small Screens XS/SM *****/
@media only screen and (max-width: 767px){
  .modal-content {
  max-width: 95%;
    }
  .close {
  right: 1.25rem;
    }
  h5 {
  font-size: 1.1rem !important;   
    }
  #note {              /**** CAPTION MOBILE *****/
  color: #8a8a8a;
  font-size: 10px;
  text-align: right;  
    }  
}

/****** Screens XS/SM/MD *****/
/* Border on drop-down menu on Smaller Screens */

@media only screen and (max-width: 991px){
  ul.dropdown-menu {             /**** NAV ITEM *****/
  max-width: 400px !important;
    }
  .dropdown-item.active {         /**** NAV ITEM *****/
  border-radius: 5px !important;
  padding: 0.8rem !important; 
    }
    .dropdown-item {         /**** NAV ITEM *****/
  border-radius: 5px !important;
  padding: 0.5rem !important; 
    }
}  
  
/*** MD Screens - width equal to or greater than 768px to 991px)******/

@media only screen and (max-width: 991px) and (min-width: 768px){
    /**** WORKS ITEM *****/ 
  #galleryTitle {
  font-family: 'montserrat_alternatesregular';
  font-size: 1.4rem !important;  
  letter-spacing: 3px !important;
    }
  h5 {
  font-size: 1.1rem !important;   
    }
  .modal-content {
  max-width: 85%;
    }
  .close {
  right: 4rem;
    }
}


/*** LG Screens *****/
@media (max-width: 1199px) and (min-width: 992px){
  .modal-content {
  max-width: 75%;
  }
  .next {
  right: 3rem;
  }  
}

 /**** WORKS ITEM *****/
/*** XL Screens: BUTTONS *****/
@media (min-width: 1200px) {
  .next {
  right: 6.8rem;
  }
  .lg-view{
  display:none;
  }
  .xl-view{
  display:inline-block;
  font-size: 12px;
  } 
  span:hover {
  color: #666;
  text-decoration: underline !important;
  }  
}

/* @media (max-width: 575px) {
  p {
    font-size: 16px;
   }
  
  ul li {
    font-size: 16px;
  }
} */

/******* ACCESSIBILITY *******/

/* smooth scrolling effect */
html {
    scroll-behavior: smooth;
}

/* for users who prefer minimal or no motion */
@media (prefers-reduced-motion) {
   html{
      scroll-behavior: auto;
    }
}

@media (prefers-reduced-motion: reduce) {
  * {
    animation: none !important;
    transition: none !important;
  }
}